Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jmadem
Class Allocation

    java.lang.Object
      jason.asSyntax.DefaultTerm
          jason.asSyntax.Literal
              jason.asSyntax.Atom
                  jason.asSyntax.Structure
                      jason.asSyntax.ListTermImpl
                          jmadem.Allocation

All Implemented Interfaces:
  jason.asSyntax.ListTerm, jason.asSyntax.LogicalFormula, jason.asSyntax.Term, jason.util.ToDOM, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<jason.asSyntax.Term>, java.lang.Iterable<jason.asSyntax.Term>, java.util.Collection<jason.asSyntax.Term>, java.util.List<jason.asSyntax.Term>

    public class Allocation

extends jason.asSyntax.ListTermImpl

Data structure for representing task-slot allocations.

Author:
  Francisco Grimaldo
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class jason.asSyntax.ListTermImpl
`LIST_FUNCTOR`

Fields inherited from class jason.asSyntax.Structure
`emptyTermArray, emptyTermList`

Fields inherited from class jason.asSyntax.Literal
`LFalse, LNeg, LPos, LTrue, predicateIndicatorCache`

Fields inherited from class jason.asSyntax.DefaultTerm
`hashCodeCache, srcInfo`

Constructor Summary
`Allocation(jason.asSyntax.ListTermImpl lTerms)` Allocation constructor.

Method Summary
`(package private) boolean` | `isCorrect()`

Methods inherited from class jason.asSyntax.ListTermImpl
`add, add, addAll, addAll, addTerm, append, apply, calcHashCode, clear, clone, cloneLT, concat, contains, containsAll, difference, equals, get, getArity, getAsDOM, getAsList, getLast, getNext, getTail, getTerm, getTerm, getTerms, indexOf, intersection, isAtom, isEmpty, isEnd, isGround, isList, isTail, iterator, lastIndexOf, listIterator, listIterator, listTermIterator, parseList, remove, remove, removeAll, retainAll, reverse, set, setNext, setTail, setTerm, setTerm, setValuesFrom, size, subList, toArray, toArray, toString, union`

Methods inherited from class jason.asSyntax.Structure
`addTerms, addTerms, compareTo, countVars, delTerm, getSingletonVars, getTermsSize, hasTerm, hasVar, isStructure, makeTermsAnnon, makeVarsAnnon, makeVarsAnnon, parse, setTerms`

Methods inherited from class jason.asSyntax.Atom
`getFunctor`

Methods inherited from class jason.asSyntax.Literal
`addAnnot, addAnnots, addAnnots, addSource, canBeAddedInBB, clearAnnots, copy, delAnnot, delAnnots, delSource, delSources, equalsAsStructure, getAnnots, getAnnots, getAsListOfTerms, getPredicateIndicator, getSources, getTermsArray, hasAnnot, hasAnnot, hasSource, hasSource, hasSubsetAnnot, hasSubsetAnnot, importAnnots, isLiteral, logicalConsequence, negated, newFromListOfTerms, parseLiteral, setAnnots, setNegated`

Methods inherited from class jason.asSyntax.DefaultTerm
`getErrorMsg, getSrcInfo, hashCode, isArithExpr, isInternalAction, isNumeric, isPlanBody, isPred, isRule, isString, isUnnamedVar, isVar, resetHashCodeCache, setSrcInfo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`hashCode`

Methods inherited from interface jason.asSyntax.Term
`countVars, getSrcInfo, hasVar, isArithExpr, isInternalAction, isLiteral, isNumeric, isPlanBody, isPred, isRule, isString, isStructure, isUnnamedVar, isVar, setSrcInfo`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Allocation

    Allocation(jason.asSyntax.ListTermImpl lTerms)

  Allocation constructor.

  Parameters:
    `lTerms` - list of terms representing the allocation

Method Detail

### isCorrect

    boolean isCorrect()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD